import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRGeneralDiagnosticsClusterNetworkFaultChangeEvent extends _NSObject {
    static alloc(): _MTRGeneralDiagnosticsClusterNetworkFaultChangeEvent;
    static new(): _MTRGeneralDiagnosticsClusterNetworkFaultChangeEvent;
    init(): _MTRGeneralDiagnosticsClusterNetworkFaultChangeEvent;
    current(): _NSArray;
    setCurrent$(value: _NSArray): void;
    previous(): _NSArray;
    setPrevious$(value: _NSArray): void;
}
export interface _MTRGeneralDiagnosticsClusterNetworkFaultChangeEvent extends _NSCopying {
}
